textures/map_canal/crate
{
   qer_editorimage textures/map_canal/crate/supply_alpha
   surfaceparm trans
   surfaceparm nonsolid
   polygonOffset
   nopicmip
   qer_trans 0.6
   {
           map textures/map_canal/crate/supply
           blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
           rgbgen identity
   }
}

textures/map_canal/slime0
{
	qer_editorimage textures/liquids_slime/slime0.tga
	surfaceparm noimpact
	surfaceparm trans
	surfaceparm slime
	cull disable
	deformVertexes wave 150.0 sin 2 5 0.25 0.1
	Q3map_TessSize 128
	qer_trans 20
	q3map_surfacelight 0
	q3map_lightSubdivide 64
	q3map_globaltexture
	{
		map textures/liquids_slime/slime0.tga
		blendfunc GL_SRC_ALPHA GL_ONE
		tcmod scale 1.2 0.7
	}
}

textures/map_canal/slime0_flow
{
	qer_editorimage textures/liquids_slime/slime0.tga
	surfaceparm slime
	surfaceparm noimpact
	surfaceparm trans
	cull disable
	qer_trans 20
	q3map_surfacelight 0
	q3map_lightSubdivide 64
	q3map_globaltexture
	{
		map textures/liquids_slime/slime0.tga
		blendfunc GL_SRC_ALPHA GL_ONE
		tcmod scale 1.2 0.7
		tcmod scroll 0.01 -0.25
	}
}

textures/map_canal/slime0_flow_still
{
	qer_editorimage textures/liquids_slime/slime0.tga
	surfaceparm slime
	surfaceparm noimpact
	surfaceparm trans
	cull disable
	qer_trans 20
	q3map_surfacelight 0
	q3map_lightSubdivide 64
	q3map_globaltexture
	{
		map textures/liquids_slime/slime0.tga
		blendfunc GL_SRC_ALPHA GL_ONE
		tcmod scale 1.2 0.7
		tcmod scroll 0.01 -0.25
	}
}

textures/map_canal/sky
{
	skyparms env/heaven/heaven - -

	qer_editorimage textures/skies/heaven.tga
	q3map_lightImage textures/map_canal/desert2_up.jpg
//	q3map_sunExt   red green blue intensity degrees elevation deviance samples
	q3map_sun .9607843137254902 .7176470588235294 .3803921568627451 60 76 10
	q3map_skyLight 90 6

	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
}

textures/map_canal/water_oasis
{
	qer_editorimage textures/map_canal/wat04.tga
	qer_trans .5
	q3map_globaltexture
	q3map_tesssize 256
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	deformvertexes normal .15 2
	deformvertexes bulge 128 5 2
	cull disable
	{
		map textures/map_canal/glass2_blue.tga
		tcgen environment
		blendfunc filter
		rgbgen identity
	}
	{
		map textures/map_canal/wat04.tga
		blendfunc gl_dst_color gl_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 1.5 0 1.5 1 1 2
		tcmod scroll -.05 .001
	}
	{
		map textures/map_canal/wat03.tga
		blendfunc gl_dst_color gl_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll .025 -.001
	}
	{
		map textures/map_canal/wat04.tga
		blendfunc gl_dst_color gl_one
		rgbgen identity
		tcmod scale .25 .5
		tcmod scroll .001 .025
	}
	{
		tcgen lightmap
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
}

textures/map_canal/easter
{
	qer_editorimage textures/map_canal/easter.png

	surfaceparm trans
	nopicmip
	nomipmaps

	{
		map textures/map_canal/easter.png
		blendFunc blend
	}
}

textures/map_canal/extreme_voltage_big_alt
{
	qer_editorimage textures/map_canal/extreme_voltage_big_alt.png

	surfaceparm trans
	nopicmip
	nomipmaps

	{
		map textures/map_canal/extreme_voltage_big_alt.png
		blendFunc blend
	}
}

